List audience analytics
curl --request GET \
--url https://api.tryarchitect.com/v0/pages/{page_id}/analytics/audiences \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tryarchitect.com/v0/pages/{page_id}/analytics/audiences"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tryarchitect.com/v0/pages/{page_id}/analytics/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"avgInteractionsPerSession": 123,
"avgScrollDepthPercentage": 123,
"avgTimeSpentSeconds": 123,
"bounceRate": 123,
"conversionRate": 123,
"formSubmitRate": 123,
"totalSessions": 123,
"audienceId": "<string>",
"bounceCount": 123,
"bounceEligibleSessions": 123,
"conversionCount": 123,
"ctaSessions": 123,
"formSubmitCount": 123
}
]
}{
"code": "VALIDATION_ERROR",
"detail": "body - name: Name is required; email: Invalid email address",
"details": [
{
"field": "body",
"issues": [
{
"code": "validation_failed",
"message": "name: Name is required",
"path": [
"name"
]
}
]
}
],
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 400,
"title": "Bad Request",
"type": "https://api.tryarchitect.com/errors/validation_error"
}{
"code": "UNAUTHORIZED",
"detail": "Authentication is required",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 401,
"title": "Unauthorized",
"type": "https://api.tryarchitect.com/errors/unauthorized"
}{
"code": "FORBIDDEN",
"detail": "Multi-tenant API keys are not supported",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 403,
"title": "Forbidden",
"type": "https://api.tryarchitect.com/errors/forbidden"
}{
"code": "NOT_FOUND",
"detail": "Audience not found",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 404,
"title": "Not Found",
"type": "https://api.tryarchitect.com/errors/not_found"
}{
"code": "RATE_LIMITED",
"detail": "Rate limit exceeded",
"details": {
"limit": 100,
"remaining": 0,
"resetTime": 1713225600000,
"retryAfter": 60
},
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 429,
"title": "Too Many Requests",
"type": "https://api.tryarchitect.com/errors/rate_limited"
}{
"code": "INTERNAL",
"detail": "An unexpected error occurred",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 500,
"title": "Internal Server Error",
"type": "https://api.tryarchitect.com/errors/internal"
}{
"code": "SERVICE_UNAVAILABLE",
"detail": "The service is temporarily unavailable",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 503,
"title": "Service Unavailable",
"type": "https://api.tryarchitect.com/errors/service_unavailable"
}Analytics
List audience analytics
Get analytics totals grouped by audience for a page.
GET
/
v0
/
pages
/
{page_id}
/
analytics
/
audiences
List audience analytics
Authorizations
API key authentication for the External Actor Gateway
Path Parameters
page_id parameter
Query Parameters
endDate parameter
startDate parameter
Response
Successful operation
Show child attributes
Show child attributes
Related topics
List audience sessionsList audiencesList audience versionsGet audience sessionGet audience session interactionsWas this page helpful?
⌘I

